Loading...
Searching...
No Matches
sip_hclasses.h File Reference

Declarations of SIP header classes. More...

`#include <sofia-sip/msg_types.h>`
Include dependency graph for sip_hclasses.h:

Go to the source code of this file.

## Macros

#define | SIP_HCLASSES_H
| Defined when <sofia-sip/sip_hclasses.h> has been included.

## Enumerations

enum | { sip_request_hash }
enum | { sip_status_hash }
enum | { sip_via_hash }
enum | { sip_route_hash }
enum | { sip_record_route_hash }
enum | { sip_max_forwards_hash }
enum | { sip_proxy_require_hash }
enum | { sip_from_hash }
enum | { sip_to_hash }
enum | { sip_call_id_hash }
enum | { sip_cseq_hash }
enum | { sip_contact_hash }
enum | { sip_rseq_hash }
enum | { sip_rack_hash }
enum | { sip_request_disposition_hash }
enum | { sip_accept_contact_hash }
enum | { sip_reject_contact_hash }
enum | { sip_expires_hash }
enum | { sip_date_hash }
enum | { sip_retry_after_hash }
enum | { sip_timestamp_hash }
enum | { sip_min_expires_hash }
enum | { sip_subject_hash }
enum | { sip_priority_hash }
enum | { sip_call_info_hash }
enum | { sip_organization_hash }
enum | { sip_server_hash }
enum | { sip_user_agent_hash }
enum | { sip_in_reply_to_hash }
enum | { sip_accept_hash }
enum | { sip_accept_encoding_hash }
enum | { sip_accept_language_hash }
enum | { sip_allow_hash }
enum | { sip_require_hash }
enum | { sip_supported_hash }
enum | { sip_unsupported_hash }
enum | { sip_event_hash }
enum | { sip_allow_events_hash }
enum | { sip_subscription_state_hash }
enum | { sip_proxy_authenticate_hash }
enum | { sip_proxy_authentication_info_hash }
enum | { sip_proxy_authorization_hash }
enum | { sip_authorization_hash }
enum | { sip_www_authenticate_hash }
enum | { sip_authentication_info_hash }
enum | { sip_error_info_hash }
enum | { sip_warning_hash }
enum | { sip_refer_to_hash }
enum | { sip_referred_by_hash }
enum | { sip_replaces_hash }
enum | { sip_session_expires_hash }
enum | { sip_min_se_hash }
enum | { sip_path_hash }
enum | { sip_service_route_hash }
enum | { sip_reason_hash }
enum | { sip_security_client_hash }
enum | { sip_security_server_hash }
enum | { sip_security_verify_hash }
enum | { sip_privacy_hash }
enum | { sip_etag_hash }
enum | { sip_if_match_hash }
enum | { sip_mime_version_hash }
enum | { sip_content_type_hash }
enum | { sip_content_encoding_hash }
enum | { sip_content_language_hash }
enum | { sip_content_disposition_hash }
enum | { sip_content_length_hash }
enum | { sip_unknown_hash }
enum | { sip_error_hash }
enum | { sip_separator_hash }
enum | { sip_payload_hash }

## Variables

msg_hclass_t | sip_request_class []
| Header class for request line.
msg_hclass_t | sip_status_class []
| Header class for status line.
msg_hclass_t | sip_via_class []
| Header class for Via header.
msg_hclass_t | sip_route_class []
| Header class for Route header.
msg_hclass_t | sip_record_route_class []
| Header class for Record-Route header.
msg_hclass_t | sip_max_forwards_class []
| Header class for Max-Forwards header.
msg_hclass_t | sip_proxy_require_class []
| Header class for Proxy-Require header.
msg_hclass_t | sip_from_class []
| Header class for From header.
msg_hclass_t | sip_to_class []
| Header class for To header.
msg_hclass_t | sip_call_id_class []
| Header class for Call-ID header.
msg_hclass_t | sip_cseq_class []
| Header class for CSeq header.
msg_hclass_t | sip_contact_class []
| Header class for Contact header.
msg_hclass_t | sip_rseq_class []
| Header class for RSeq header.
msg_hclass_t | sip_rack_class []
| Header class for RAck header.
msg_hclass_t | sip_request_disposition_class []
| Header class for Request-Disposition header.
msg_hclass_t | sip_accept_contact_class []
| Header class for Accept-Contact header.
msg_hclass_t | sip_reject_contact_class []
| Header class for Reject-Contact header.
msg_hclass_t | sip_expires_class []
| Header class for Expires header.
msg_hclass_t | sip_date_class []
| Header class for Date header.
msg_hclass_t | sip_retry_after_class []
| Header class for Retry-After header.
msg_hclass_t | sip_timestamp_class []
| Header class for Timestamp header.
msg_hclass_t | sip_min_expires_class []
| Header class for Min-Expires header.
msg_hclass_t | sip_subject_class []
| Header class for Subject header.
msg_hclass_t | sip_priority_class []
| Header class for Priority header.
msg_hclass_t | sip_call_info_class []
| Header class for Call-Info header.
msg_hclass_t | sip_organization_class []
| Header class for Organization header.
msg_hclass_t | sip_server_class []
| Header class for Server header.
msg_hclass_t | sip_user_agent_class []
| Header class for User-Agent header.
msg_hclass_t | sip_in_reply_to_class []
| Header class for In-Reply-To header.
msg_hclass_t | sip_accept_class []
| Header class for Accept header.
msg_hclass_t | sip_accept_encoding_class []
| Header class for Accept-Encoding header.
msg_hclass_t | sip_accept_language_class []
| Header class for Accept-Language header.
msg_hclass_t | sip_allow_class []
| Header class for Allow header.
msg_hclass_t | sip_require_class []
| Header class for Require header.
msg_hclass_t | sip_supported_class []
| Header class for Supported header.
msg_hclass_t | sip_unsupported_class []
| Header class for Unsupported header.
msg_hclass_t | sip_event_class []
| Header class for Event header.
msg_hclass_t | sip_allow_events_class []
| Header class for Allow-Events header.
msg_hclass_t | sip_subscription_state_class []
| Header class for Subscription-State header.
msg_hclass_t | sip_proxy_authenticate_class []
| Header class for Proxy-Authenticate header.
msg_hclass_t | sip_proxy_authentication_info_class []
| Header class for Proxy-Authentication-Info header.
msg_hclass_t | sip_proxy_authorization_class []
| Header class for Proxy-Authorization header.
msg_hclass_t | sip_authorization_class []
| Header class for Authorization header.
msg_hclass_t | sip_www_authenticate_class []
| Header class for WWW-Authenticate header.
msg_hclass_t | sip_authentication_info_class []
| Header class for Authentication-Info header.
msg_hclass_t | sip_error_info_class []
| Header class for Error-Info header.
msg_hclass_t | sip_warning_class []
| Header class for Warning header.
msg_hclass_t | sip_refer_to_class []
| Header class for Refer-To header.
msg_hclass_t | sip_referred_by_class []
| Header class for Referred-By header.
msg_hclass_t | sip_replaces_class []
| Header class for Replaces header.
msg_hclass_t | sip_session_expires_class []
| Header class for Session-Expires header.
msg_hclass_t | sip_min_se_class []
| Header class for Min-SE header.
msg_hclass_t | sip_path_class []
| Header class for Path header.
msg_hclass_t | sip_service_route_class []
| Header class for Service-Route header.
msg_hclass_t | sip_reason_class []
| Header class for Reason header.
msg_hclass_t | sip_security_client_class []
| Header class for Security-Client header.
msg_hclass_t | sip_security_server_class []
| Header class for Security-Server header.
msg_hclass_t | sip_security_verify_class []
| Header class for Security-Verify header.
msg_hclass_t | sip_privacy_class []
| Header class for Privacy header.
msg_hclass_t | sip_etag_class []
| Header class for SIP-ETag header.
msg_hclass_t | sip_if_match_class []
| Header class for SIP-If-Match header.
msg_hclass_t | sip_mime_version_class []
| Header class for MIME-Version header.
msg_hclass_t | sip_content_type_class []
| Header class for Content-Type header.
msg_hclass_t | sip_content_encoding_class []
| Header class for Content-Encoding header.
msg_hclass_t | sip_content_language_class []
| Header class for Content-Language header.
msg_hclass_t | sip_content_disposition_class []
| Header class for Content-Disposition header.
msg_hclass_t | sip_content_length_class []
| Header class for Content-Length header.
msg_hclass_t | sip_unknown_class []
| Header class for unknown headers.
msg_hclass_t | sip_error_class []
| Header class for erroneous headers.
msg_hclass_t | sip_separator_class []
| Header class for separator line between headers and body.
msg_hclass_t | sip_payload_class []
| Header class for message payload.

## Detailed Description

Declarations of SIP header classes.

This file is automatically generated from <sip.h> by msg_parser.awk.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Thu Jan 23 19:26:31 2003 ppessi

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
sip_replaces_hash | @ Hash of Replaces header.

## anonymous enum

anonymous enum

Enumerator
sip_content_length_hash | @ Hash of Content-Length header.

## anonymous enum

anonymous enum

Enumerator
sip_privacy_hash | @ Hash of Privacy header.

## anonymous enum

anonymous enum

Enumerator
sip_proxy_authorization_hash | @ Hash of Proxy-Authorization header.

## anonymous enum

anonymous enum

Enumerator
sip_event_hash | @ Hash of Event header.

## anonymous enum

anonymous enum

Enumerator
sip_call_info_hash | @ Hash of Call-Info header.

## anonymous enum

anonymous enum

Enumerator
sip_min_se_hash | @ Hash of Min-SE header.

## anonymous enum

anonymous enum

Enumerator
sip_reject_contact_hash | @ Hash of Reject-Contact header.

## anonymous enum

anonymous enum

Enumerator
sip_require_hash | @ Hash of Require header.

## anonymous enum

anonymous enum

Enumerator
sip_expires_hash | @ Hash of Expires header.

## anonymous enum

anonymous enum

Enumerator
sip_if_match_hash | @ Hash of SIP-If-Match header.

## anonymous enum

anonymous enum

Enumerator
sip_supported_hash | @ Hash of Supported header.

## anonymous enum

anonymous enum

Enumerator
sip_call_id_hash | @ Hash of Call-ID header.

## anonymous enum

anonymous enum

Enumerator
sip_refer_to_hash | @ Hash of Refer-To header.

## anonymous enum

anonymous enum

Enumerator
sip_cseq_hash | @ Hash of CSeq header.

## anonymous enum

anonymous enum

Enumerator
sip_payload_hash | @ Hash of message payload.

## anonymous enum

anonymous enum

Enumerator
sip_error_hash | @ Hash of erroneous headers.

## anonymous enum

anonymous enum

Enumerator
sip_from_hash | @ Hash of From header.

## anonymous enum

anonymous enum

Enumerator
sip_rseq_hash | @ Hash of RSeq header.

## anonymous enum

anonymous enum

Enumerator
sip_security_client_hash | @ Hash of Security-Client header.

## anonymous enum

anonymous enum

Enumerator
sip_allow_hash | @ Hash of Allow header.

## anonymous enum

anonymous enum

Enumerator
sip_referred_by_hash | @ Hash of Referred-By header.

## anonymous enum

anonymous enum

Enumerator
sip_session_expires_hash | @ Hash of Session-Expires header.

## anonymous enum

anonymous enum

Enumerator
sip_rack_hash | @ Hash of RAck header.

## anonymous enum

anonymous enum

Enumerator
sip_path_hash | @ Hash of Path header.

## anonymous enum

anonymous enum

Enumerator
sip_service_route_hash | @ Hash of Service-Route header.

## anonymous enum

anonymous enum

Enumerator
sip_request_hash | @ Hash of request line.

## anonymous enum

anonymous enum

Enumerator
sip_in_reply_to_hash | @ Hash of In-Reply-To header.

## anonymous enum

anonymous enum

Enumerator
sip_error_info_hash | @ Hash of Error-Info header.

## anonymous enum

anonymous enum

Enumerator
sip_proxy_authentication_info_hash | @ Hash of Proxy-Authentication-Info header.

## anonymous enum

anonymous enum

Enumerator
sip_route_hash | @ Hash of Route header.

## anonymous enum

anonymous enum

Enumerator
sip_allow_events_hash | @ Hash of Allow-Events header.

## anonymous enum

anonymous enum

Enumerator
sip_server_hash | @ Hash of Server header.

## anonymous enum

anonymous enum

Enumerator
sip_timestamp_hash | @ Hash of Timestamp header.

## anonymous enum

anonymous enum

Enumerator
sip_security_server_hash | @ Hash of Security-Server header.

## anonymous enum

anonymous enum

Enumerator
sip_content_language_hash | @ Hash of Content-Language header.

## anonymous enum

anonymous enum

Enumerator
sip_to_hash | @ Hash of To header.

## anonymous enum

anonymous enum

Enumerator
sip_authorization_hash | @ Hash of Authorization header.

## anonymous enum

anonymous enum

Enumerator
sip_warning_hash | @ Hash of Warning header.

## anonymous enum

anonymous enum

Enumerator
sip_www_authenticate_hash | @ Hash of WWW-Authenticate header.

## anonymous enum

anonymous enum

Enumerator
sip_max_forwards_hash | @ Hash of Max-Forwards header.

## anonymous enum

anonymous enum

Enumerator
sip_accept_hash | @ Hash of Accept header.

## anonymous enum

anonymous enum

Enumerator
sip_status_hash | @ Hash of status line.

## anonymous enum

anonymous enum

Enumerator
sip_record_route_hash | @ Hash of Record-Route header.

## anonymous enum

anonymous enum

Enumerator
sip_authentication_info_hash | @ Hash of Authentication-Info header.

## anonymous enum

anonymous enum

Enumerator
sip_priority_hash | @ Hash of Priority header.

## anonymous enum

anonymous enum

Enumerator
sip_organization_hash | @ Hash of Organization header.

## anonymous enum

anonymous enum

Enumerator
sip_unsupported_hash | @ Hash of Unsupported header.

## anonymous enum

anonymous enum

Enumerator
sip_subscription_state_hash | @ Hash of Subscription-State header.

## anonymous enum

anonymous enum

Enumerator
sip_content_disposition_hash | @ Hash of Content-Disposition header.

## anonymous enum

anonymous enum

Enumerator
sip_accept_encoding_hash | @ Hash of Accept-Encoding header.

## anonymous enum

anonymous enum

Enumerator
sip_date_hash | @ Hash of Date header.

## anonymous enum

anonymous enum

Enumerator
sip_retry_after_hash | @ Hash of Retry-After header.

## anonymous enum

anonymous enum

Enumerator
sip_proxy_authenticate_hash | @ Hash of Proxy-Authenticate header.

## anonymous enum

anonymous enum

Enumerator
sip_security_verify_hash | @ Hash of Security-Verify header.

## anonymous enum

anonymous enum

Enumerator
sip_mime_version_hash | @ Hash of MIME-Version header.

## anonymous enum

anonymous enum

Enumerator
sip_min_expires_hash | @ Hash of Min-Expires header.

## anonymous enum

anonymous enum

Enumerator
sip_via_hash | @ Hash of Via header.

## anonymous enum

anonymous enum

Enumerator
sip_contact_hash | @ Hash of Contact header.

## anonymous enum

anonymous enum

Enumerator
sip_separator_hash | @ Hash of separator line between headers and body.

## anonymous enum

anonymous enum

Enumerator
sip_content_encoding_hash | @ Hash of Content-Encoding header.

## anonymous enum

anonymous enum

Enumerator
sip_request_disposition_hash | @ Hash of Request-Disposition header.

## anonymous enum

anonymous enum

Enumerator
sip_subject_hash | @ Hash of Subject header.

## anonymous enum

anonymous enum

Enumerator
sip_user_agent_hash | @ Hash of User-Agent header.

## anonymous enum

anonymous enum

Enumerator
sip_unknown_hash | @ Hash of unknown headers.

## anonymous enum

anonymous enum

Enumerator
sip_accept_language_hash | @ Hash of Accept-Language header.

## anonymous enum

anonymous enum

Enumerator
sip_etag_hash | @ Hash of SIP-ETag header.

## anonymous enum

anonymous enum

Enumerator
sip_reason_hash | @ Hash of Reason header.

## anonymous enum

anonymous enum

Enumerator
sip_accept_contact_hash | @ Hash of Accept-Contact header.

## anonymous enum

anonymous enum

Enumerator
sip_content_type_hash | @ Hash of Content-Type header.

## anonymous enum

anonymous enum

Enumerator
sip_proxy_require_hash | @ Hash of Proxy-Require header.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.